[ Identification | Description | Input parameters | Output parameters | Links ]

# The `Source_flux` Component

An old variant of the official Source_flux_lambda component.

## Identification

- Author: Kristian Nielsen
- Origin: Risoe
- Date: 1998
- Version: 1.11
- Modification history:
  - Emmanuel Farhi, October 30, 2001. Serious bug corrected.

## Description

    Models a reactor source with a flat energy distribution and a
    given neutron flux.
    This is useful for simulations where the absolute value of neutron flux,
    detector counts, etc. is needed for comparison with real instruments and
    experiments.

    Example: Source_flat(radius=0.1, dist=2, xw=.1, yh=.1, E0=14, dE=2, flux=1e13)

## Input parameters

Parameters in boldface are required; the others are optional.

Name | Unit | Description | Default
--- | --- | --- | ---
radius | m | Radius of circle in (x,y,0) plane where neutrons are generated. | 0.1
dist | m | Distance to target along z axis. | 2.33
xw | m | Width(x) of target | 0.05
yh | m | Height(y) of target | 0.1
E0 | meV | Mean energy of neutrons. | 14.68
dE | meV | Energy spread of neutrons. | 2
flux | n/s/cm^2/Angs | Neutron flux | 1e13

## Output parameters

Name | Unit | Description | Default
--- | --- | --- | ---
p_in |  |  |

## Links

- Source code for `Source_flux.comp`.

[ Identification | Description | Input parameters | Output parameters | Links ]